glib-sharp 2.12.0.0 System.Enum System.Flags SpawnFlags enumeration. Provides process spawning configuration information.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if the child process should inherit the parent's stdin.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if child should not be reaped automatically. Caller must call on the returned process to avoid zombies.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if the first element should be dropped from the argv that is passed to the process. Normally the first element of the argv is the program name to be invoked, and the entire argv is passed to the process, including the program name. Using this flag causes the program name to be dropped from the vector.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if parent file descriptors should remain open for the child. Without this flag, all descriptors except for stdin, stdout, and stderr are closed.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if the user's PATH variable should be used to locate the executable. Without this flag, a fully-qualified path to the executable must be provided in the command or argument vector. Setting this flag can create security issues, so it should be used with caution.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if stderr should be redirected to /dev/null, ignoring the output. If this flag is set, users of must pass for the stderr parameter.
- Field
  2.12.0.0
  GLib.SpawnFlags Indicates if stdout should be redirected to /dev/null, ignoring the output. If this flag is set, users of must pass for the stdout parameter.